source("irrfahrt.r")

#===============================================================================
# Diskrete Irrfahrt mit variablen Zeitspruengen und Schrittweiten
#===============================================================================

# sigma = 1
par(mfrow=c(3,2))
v5 <- varIrrfahrt(const=5, sigma=1, p=0.5, tmax=10)
v10 <- varIrrfahrt(const=10, sigma=1, p=0.5, tmax=10)
v50 <- varIrrfahrt(const=50, sigma=1, p=0.5, tmax=10)
v100 <- varIrrfahrt(const=100, sigma=1, p=0.5, tmax=10)
v1000 <- varIrrfahrt(const=1000, sigma=1, p=0.5, tmax=10)
v10000 <- varIrrfahrt(const=10000, sigma=1, p=0.5, tmax=10)


# sigma = 0.1
par(mfrow=c(3,2))
v5 <- varIrrfahrt(const=5, sigma=0.1, p=0.5, tmax=10)
v10 <- varIrrfahrt(const=10, sigma=0.1,p=0.5, tmax=10)
v50 <- varIrrfahrt(const=50, sigma=0.1, p=0.5, tmax=10)
v100 <- varIrrfahrt(const=100, sigma=0.1, p=0.5, tmax=10)
v1000 <- varIrrfahrt(const=1000, sigma=0.1, p=0.5, tmax=10)
v10000 <- varIrrfahrt(const=10000, sigma=0.1, p=0.5, tmax=10)
