source("irrfahrt.r")

#========================================================================
# ML-Schaetzer fuer diskrete einfache Irrfahrt auf der Geraden
#========================================================================

# (d)
# ML-Schaetzung wird jeweils fuer die Pfade einer einfachen Irrfahrt 
# mit p=0.4, q=0.4 und r=0.2 durchgefuehrt

I50 <- einfacheIrrfahrt(p=0.4, q=0.4, r=0.2, n=50, plot=FALSE)
MLirrfahrt(I50$pfad)

I500 <- einfacheIrrfahrt(p=0.4, q=0.4, r=0.2, n=500, plot=FALSE)
MLirrfahrt(I500$pfad)

I5000 <- einfacheIrrfahrt(p=0.4, q=0.4, r=0.2, n=5000, plot=FALSE)
MLirrfahrt(I5000$pfad)

# -> Je laenger der Pfad, desto mehr naehern sich die ML-Schaetzer
# an die wahren Werte an.
